## XbBuilderFixup XbBuilderFixup |

## Functions

gboolean | (*XbBuilderFixupFunc) ()
XbBuilderFixup * | xb_builder_fixup_new ()
gint | xb_builder_fixup_get_max_depth ()
void | xb_builder_fixup_set_max_depth ()

## Types and Values

#define | XB_TYPE_BUILDER_FIXUP
struct | XbBuilderFixupClass
| XbBuilderFixup

## Description

## Functions

### XbBuilderFixupFunc ()

    gboolean
    (*XbBuilderFixupFunc) (XbBuilderFixup *self,
                           XbBuilderNode *bn,
                           gpointer user_data,
                           GError **error);

### xb_builder_fixup_new ()

    XbBuilderFixup *
    xb_builder_fixup_new (const gchar *id,
                          XbBuilderFixupFunc func,
                          gpointer user_data,
                          GDestroyNotify user_data_free);

### xb_builder_fixup_get_max_depth ()

    gint
    xb_builder_fixup_get_max_depth (XbBuilderFixup *self);

### xb_builder_fixup_set_max_depth ()

    void
    xb_builder_fixup_set_max_depth (XbBuilderFixup *self,
                                    gint max_depth);

## Types and Values

### XB_TYPE_BUILDER_FIXUP

    #define XB_TYPE_BUILDER_FIXUP (xb_builder_fixup_get_type ())

### struct XbBuilderFixupClass

    struct XbBuilderFixupClass {
    	GObjectClass			 parent_class;
    };

### XbBuilderFixup

    typedef struct _XbBuilderFixup XbBuilderFixup;